Subject: Re: [ANNOUNCEMENT] New on sources: rxvt-2.7.2-1
From: "Dmitry Timoshkov" <[email-masked]>
To: "Steve O" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 14 May 2001 23:12:52 +0800

"Steve O" <[email-masked]> wrote:

> I traced the segfault to a call to CreateWindow().
> Since I haven't changed the CreateWindow parameters
> and an older version works on NT, I'm left with the
> fact that I moved the call to RegisterClass and 
> the WndProc to a DLL.  I don't know why that would
> cause CreateWindow to break. 
> 
> I'm able to single step up to the CreateWindow, and
> catch the WM_CREATE message being processed by the 
> WndProc.  It's after my WndProc returns DefWindowProc(...)
> that CreateWindow tanks.

It could be related to the fact, that either class is registered
or window is created with the wrong hinstance. Though MSDN says:
CreateWindow:
hInstance -
Windows 95/98: [in] Handle to the instance of the module to be
associated with the window.
Windows NT/2000: This value is ignored.
--
Dmitry.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple